<template>
  <Dropdown
    v-slot="{ close }"
    placement="bottom-end"
  >
    <RouterLink
      :to="{ name: 'admin.links.analytics', params: { id: link.id } }"
      class="block w-full px-4 py-2 text-left text-sm text-gray-700 hover:bg-gray-100 hover:text-gray-900"
      @click="close"
    >
      {{ $t("app.links.dropdown.analytics") }}
    </RouterLink>
    <RouterLink
      :to="{ name: 'admin.links.update', params: { id: link.id } }"
      class="block w-full px-4 py-2 text-left text-sm text-gray-700 hover:bg-gray-100 hover:text-gray-900"
      @click="close"
    >
      {{ $t("app.links.dropdown.update") }}
    </RouterLink>
  </Dropdown>
</template>

<script lang="ts" setup>
import Dropdown from "@/js/contexts/shared/ui/components/floating/Dropdown.vue";
import type { Link } from "@/js/contexts/shared/models/Link";

defineProps<{
  link: Link;
}>();
</script>
